Package com.xebialabs.xlrelease.view

# Class WorkflowOverview

java.lang.Object
com.xebialabs.xlrelease.view.WorkflowOverview

public class WorkflowOverview extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkflowOverview()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAllowTargetFolderOverride()`
  `String`
  `getAuthor()`
  `Set<String>`
  `getCategories()`
  `Integer`
  `getCiUid()`
  `String`
  `getDefaultTargetFolder()`
  `String`
  `getDescription()`
  `int`
  `getExecutions()`
  `String`
  `getFolderId()`
  `String`
  `getFolderTitle()`
  `String`
  `getId()`
  `TemplateLogo`
  `getLogo()`
  `com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData`
  `getScmTraceabilityData()`
  `List<String>`
  `getTags()`
  `String`
  `getTitle()`
  `void`
  `setAllowTargetFolderOverride(Boolean allowTargetFolderOverride)`
  `void`
  `setAuthor(String author)`
  `void`
  `setCategories(Set<String> categories)`
  `void`
  `setCiUid(Integer ciUid)`
  `void`
  `setDefaultTargetFolder(String defaultTargetFolder)`
  `void`
  `setDescription(String description)`
  `void`
  `setExecutions(int executions)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setFolderTitle(String folderTitle)`
  `void`
  `setId(String id)`
  `void`
  `setLogo(TemplateLogo logo)`
  `void`
  `setScmTraceabilityData(com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData scmTraceabilityData)`
  `void`
  `setTags(List<String> tags)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkflowOverview

    public WorkflowOverview()

- ## Method Details

  - ### getCiUid

    public Integer getCiUid()

  - ### setCiUid

    public void setCiUid(Integer ciUid)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getLogo

    public TemplateLogo getLogo()

  - ### setLogo

    public void setLogo(TemplateLogo logo)

  - ### getAuthor

    public String getAuthor()

  - ### setAuthor

    public void setAuthor(String author)

  - ### getTags

    public List<String> getTags()

  - ### setTags

    public void setTags(List<String> tags)

  - ### getCategories

    public Set<String> getCategories()

  - ### setCategories

    public void setCategories(Set<String> categories)

  - ### getScmTraceabilityData

    public com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData getScmTraceabilityData()

  - ### setScmTraceabilityData

    public void setScmTraceabilityData(com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData scmTraceabilityData)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getFolderTitle

    public String getFolderTitle()

  - ### setFolderTitle

    public void setFolderTitle(String folderTitle)

  - ### getAllowTargetFolderOverride

    public Boolean getAllowTargetFolderOverride()

  - ### setAllowTargetFolderOverride

    public void setAllowTargetFolderOverride(Boolean allowTargetFolderOverride)

  - ### getDefaultTargetFolder

    public String getDefaultTargetFolder()

  - ### setDefaultTargetFolder

    public void setDefaultTargetFolder(String defaultTargetFolder)

  - ### getExecutions

    public int getExecutions()

  - ### setExecutions

    public void setExecutions(int executions)